Bug Hunting Session
Bug 56198 - RFE: follow gtk scrollbar preferences
Summary: RFE: follow gtk scrollbar preferences
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.6.3.1 rc
Hardware: Other Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:3.7.0 target:4.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-19 18:34 UTC by Bill Nottingham
Modified: 2012-11-12 15:03 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bill Nottingham 2012-10-19 18:34:01 UTC
Recent versions of GTK have a preference:
  gtk-primary-button-warps-slider

This setting changes the behavior when the scrollbar trough is clicked.

When this setting is true:
  Primary (left) button: warps slider to position that is clicked
  Secondary (right) button: scrolls one page

When this setting is false:
  Primary (left) button: scrolls one page
  Tertiary (middle) button: warps slider to position that is clicked

LibreOffice unilaterally follows the behavior that  corresponds to the setting being false. It should read the setting and respond appropriately, integrating with the rest of the system consistently.
Comment 1 Caolán McNamara 2012-11-07 00:23:31 UTC
looks like we have 80% of this already for mac
Comment 2 Not Assigned 2012-11-07 11:01:36 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2efa35a812a6f1e35e4959a357f50feff7e598f5

Resolves: fdo#56198 collect scrollbar click preference settings



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Not Assigned 2012-11-11 11:24:42 UTC
Ivan Timofeev committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0292fbde1763e4a406be15b1771780a6a0c9aa47

Related: fdo#56198 avoid gtk warning



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Jean-Baptiste Faure 2012-11-11 12:04:01 UTC
(In reply to comment #3)
> Ivan Timofeev committed a patch related to this issue.
> It has been pushed to "master":
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=0292fbde1763e4a406be15b1771780a6a0c9aa47
> 
> Related: fdo#56198 avoid gtk warning
> 
I just build the master (Build ID: 0292fb) and I still get the same warning message two times when I launch LO :
(soffice:2223): GLib-GObject-WARNING **: g_object_get_valist: object class `GtkSettings' has no property named `gtk-primary-button-warps-slider'
I do not know how to get the GTK version of my system.

Best regards. JBF
Comment 5 Not Assigned 2012-11-11 12:47:40 UTC
Ivan Timofeev committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1e3e415dbe877666e1575128a7ec3d5d9c076ffa

Related: fdo#56198 avoid gtk warning, take 2



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Jean-Baptiste Faure 2012-11-11 13:23:30 UTC
(In reply to comment #5)
> Ivan Timofeev committed a patch related to this issue.
> It has been pushed to "master":
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=1e3e415dbe877666e1575128a7ec3d5d9c076ffa
> 
> Related: fdo#56198 avoid gtk warning, take 2
> 
Verified in Version 3.7.0.0.alpha0+ (Build ID: 1e3e41).
Thank you very much Ivan. :-)

Best regards. JBF
Comment 7 Not Assigned 2012-11-12 15:03:09 UTC
Ivan Timofeev committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=776f0184d11965ccf8232ff47206d1e1566a6fd2

Related: fdo#56198 avoid gtk warning, take 3



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.